/*
  tools.c
   
  Author: Casper Pedersen
          cp@c-note.dk
*/

// ------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>

// ------------------------------------------------------------------------
#include "defines.h"

// ------------------------------------------------------------------------
// head + tail
// ------------------------------------------------------------------------
void strip( char *buf )
{
  head( buf );
  tail( buf );
}

// ------------------------------------------------------------------------
// strip ascii < 0x20 (space) from beginning
// ------------------------------------------------------------------------
void head( char *buf )
{
	int l;
  
	if( buf == NULL ) return;

	l = strlen( buf );
  
	while( (buf[0] <= 0x20 ) && (l > 0) )
	{    
		int x;
		for( x = 0; x < l; x++ )
			buf[x] = buf[x+1];
      
		buf[l-1] = '\0';  
    
		l = strlen(buf);  
	}
}

// ------------------------------------------------------------------------
// strip ascii < 0x20 (space) from end
// ------------------------------------------------------------------------
void tail( char *buf )
{
	int l;
	int i;

	if( buf == NULL ) return;
  
	l = strlen( buf ) - 1;
  
	for( i = l; i >= 0; i-- )
  	{
    	if( buf[i] <= 0x20 )
      		buf[i] = '\0';
    	else
      		break; 
	}
}

// ------------------------------------------------------------------------
// ------------------------------------------------------------------------
void clrConfig( struct config *conf)
{
	conf->is_ldapServer = 0;
	conf->is_ldapPort = 0;
	conf->is_searchBase = 0;
	conf->is_pxyGroup = 0;
	conf->is_confFile = 0;
	conf->is_logFile = 0;
	conf->logLevel = 0;
	conf->logDebug = 0;
	conf->is_bindDN = 0;
	conf->is_bindPWD = 0;

	conf->ldapServer[0] = '\0';
	conf->ldapPort = 389;
	conf->searchBase[0] = '\0';
	conf->pxyGroup[0] = '\0';
	conf->logFile[0] = '\0';
	conf->bindDN[0] = '\0';
	conf->bindPWD[0] = '\0';
	
	strcpy( conf->userAttr, USRSRCATTR);
	strcpy( conf->groupAttr, MEMBERATTR);
}

// ------------------------------------------------------------------------
// ------------------------------------------------------------------------
